# $Revision: 1.3 $, $Date: 2010/04/05 19:01:41 $
%include    /usr/lib/rpm/macros.perl
%define     plugin  check_fcsw
Summary:	Nagios plugin to check Fibre Switches
Name:		nagios-plugin-%{plugin}
Version:	0.1
Release:	2
License:	GPL v2
Group:		Networking
BuildRequires:	rpm-perlprov >= 4.1-13
Source0:	%{plugin}
Source1:	%{plugin}.cfg
Requires:	nagios-common
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define     _sysconfdir /etc/nagios/plugins
%define     plugindir   %{_prefix}/lib/nagios/plugins

%description
This plugin checks ports of Fibre Switches.

Supports:
- EMC Fibre Channel Switch

%prep
%setup -qcT
cp -p %{SOURCE0} %{plugin}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir}}
install -p %{plugin} $RPM_BUILD_ROOT%{plugindir}/%{plugin}
sed -e 's,@plugindir@,%{plugindir},' %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-plugin-check_fcsw.spec,v $
Revision 1.3  2010/04/05 19:01:41  glen
- use nagios-common instead of nagios-core; rel 2

Revision 1.2  2010/04/05 19:01:21  glen
- tabs

Revision 1.1  2009/10/20 19:44:29  glen
- new
